GrailsProjectCompiler (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.compiler

## [Groovy] Class GrailsProjectCompiler

- org.codehaus.groovy.grails.compiler.GrailsProjectCompiler

- Encapsulates the compilation logic required for a Grails application.

  deprecated:
    Use GrailsProjectCompiler instead
  Authors:
    Graeme Rocher
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsProjectCompiler` | `EXCLUDED_PATHS`
    `class BaseSettingsApi` | `appClassName, buildEventListener, buildProps, buildSettings, configSlurper, enableProfile, grailsAppName, grailsHome, isInteractive, metadata, metadataFile, pluginSettings, pluginsHome, resolver`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsProjectCompiler (PluginBuildSettings pluginBuildSettings, java.lang.ClassLoader rootLoader)`
    `GrailsProjectCompiler (PluginBuildSettings pluginBuildSettings)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsProjectCompiler` | `compile, compile, compileAll, compileGroovyPages, compilePluginDescriptor, compilePlugins, compilePlugins, configureClasspath, getAnt, getExtraDependencies, getJarFiles, reconfigureClasspath, setAnt, withCompilationErrorHandling`
    `class BaseSettingsApi` | `confirmInput, confirmInput, copyGrailsResource, copyGrailsResource, copyGrailsResources, copyGrailsResources, createXmlSlurper, enableUaa, exit, getAppClassName, getAppGrailsVersion, getBuildEventListener, getBuildProps, getBuildSettings, getConfigSlurper, getGrailsAppName, getGrailsAppVersion, getGrailsHome, getIsInteractive, getMetadata, getMetadataFile, getPluginBuildSettings, getPluginSettings, getPluginsHome, getPropertyValue, getResolver, getServerHost, getServerPort, getServerPortHttps, getServletVersion, grailsResource, isDeclared, isEnableProfile, logError, logErrorAndExit, makeApiAvailableToScripts, makeRelative, makeRelative, profile, readAllPluginXmlMetadata, readPluginXmlMetadata, resolveResources, updateMetadata, updateMetadata`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### GrailsProjectCompiler(PluginBuildSettings pluginBuildSettings, java.lang.ClassLoader rootLoader)

    - #### GrailsProjectCompiler(PluginBuildSettings pluginBuildSettings)